<Activity mc:Ignorable="sap sap2010" x:Class="Salesforce___Download_report_as_XLSX" this:Salesforce___Download_report_as_XLSX.ProductCode="PRO12" this:Salesforce___Download_report_as_XLSX.in_IsConfidential="Yes" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sco="clr-namespace:System.Collections.ObjectModel;assembly=mscorlib" xmlns:this="clr-namespace:" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <x:Members>
    <x:Property Name="ProductCode" Type="InArgument(x:String)" />
    <x:Property Name="in_QuoteType" Type="InArgument(x:String)" />
    <x:Property Name="in_IsConfidential" Type="InArgument(x:String)" />
  </x:Members>
  <mva:VisualBasic.Settings>
    <x:Null />
  </mva:VisualBasic.Settings>
  <sap:VirtualizedContainerService.HintSize>1079,6459</sap:VirtualizedContainerService.HintSize>
  <sap2010:WorkflowViewState.IdRef>Salesforce - Download report as XLSX_1</sap2010:WorkflowViewState.IdRef>
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="27">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>Microsoft.VisualBasic.CompilerServices</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Runtime.Serialization</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="29">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.Studio.Plugin.Workflow</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="Global" sap:VirtualizedContainerService.HintSize="839,6394" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Default="Salesforce_Opportunity_Add_Product" Name="componentName" />
      <Variable x:TypeArguments="x:Boolean" Name="productsBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="addProductBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="codeExists" />
      <Variable x:TypeArguments="x:Boolean" Name="searchProductCodebtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="productSearchBarExists" />
      <Variable x:TypeArguments="x:Boolean" Name="newServiceCodeWindowExists" />
      <Variable x:TypeArguments="x:Boolean" Name="selectQuoteWindow" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="797,91" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Start: &quot;+componentName]" />
    <If Condition="[in_IsConfidential.toupper=&quot;YES&quot;]" DisplayName="If confidential" sap:VirtualizedContainerService.HintSize="797,966" sap2010:WorkflowViewState.IdRef="If_44">
      <If.Then>
        <Sequence sap:VirtualizedContainerService.HintSize="376,435" sap2010:WorkflowViewState.IdRef="Sequence_54">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:UiElementExists DisplayName="Element Exists - Products button" Exists="[productsBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_39">
            <ui:UiElementExists.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="00320b5d-e3d3-4522-a349-786d8c1a2e10" InformativeScreenshot="600c9d7997992771526abf615f5d6232" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Add Product' parentname='header' tag='BUTTON' type='button' /&gt;" TimeoutMS="30000" WaitForReady="INTERACTIVE" />
            </ui:UiElementExists.Target>
          </ui:UiElementExists>
          <If Condition="[productsBtnExists]" DisplayName="If products Btn Exists" sap:VirtualizedContainerService.HintSize="334,51" sap2010:WorkflowViewState.IdRef="If_9">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">False</x:Boolean>
                <x:Boolean x:Key="IsPinned">False</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <If.Then>
              <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_11" />
            </If.Then>
            <If.Else>
              <Sequence DisplayName="AE - products button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_12">
                <sap:WorkflowViewStateService.ViewState>
                  <scg:Dictionary x:TypeArguments="x:String, x:Object">
                    <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  </scg:Dictionary>
                </sap:WorkflowViewStateService.ViewState>
                <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_7" Level="Error" Message="[componentName+&quot;: products button does not exist&quot;]" />
                <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: products button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_7" />
              </Sequence>
            </If.Else>
          </If>
          <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click add products" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_44" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
            <ui:Click.CursorPosition>
              <ui:CursorPosition Position="Center">
                <ui:CursorPosition.OffsetX>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetX>
                <ui:CursorPosition.OffsetY>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetY>
              </ui:CursorPosition>
            </ui:Click.CursorPosition>
            <ui:Click.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="e249be4b-d23d-433f-a50d-0a505a6213fa" InformativeScreenshot="600c9d7997992771526abf615f5d6232" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Add Product' parentname='header' tag='BUTTON' type='button' /&gt;">
                <ui:Target.TimeoutMS>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:Target.TimeoutMS>
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:Click.Target>
          </ui:Click>
        </Sequence>
      </If.Then>
      <If.Else>
        <Sequence sap:VirtualizedContainerService.HintSize="376,818" sap2010:WorkflowViewState.IdRef="Sequence_56">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:UiElementExists DisplayName="Element Exists - Products button" Exists="[productsBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_7">
            <ui:UiElementExists.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="00320b5d-e3d3-4522-a349-786d8c1a2e10" InformativeScreenshot="47e526ee812317e96d07cf1421839851" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='A' aaname='Products(*)' /&gt;" TimeoutMS="30000" WaitForReady="INTERACTIVE" />
            </ui:UiElementExists.Target>
          </ui:UiElementExists>
          <If Condition="[productsBtnExists]" DisplayName="If products Btn Exists" sap:VirtualizedContainerService.HintSize="334,51" sap2010:WorkflowViewState.IdRef="If_43">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">False</x:Boolean>
                <x:Boolean x:Key="IsPinned">False</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <If.Then>
              <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_39" />
            </If.Then>
            <If.Else>
              <Sequence DisplayName="AE - products button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_55">
                <sap:WorkflowViewStateService.ViewState>
                  <scg:Dictionary x:TypeArguments="x:String, x:Object">
                    <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  </scg:Dictionary>
                </sap:WorkflowViewStateService.ViewState>
                <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_37" Level="Error" Message="[componentName+&quot;: products button does not exist&quot;]" />
                <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: products button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_34" />
              </Sequence>
            </If.Else>
          </If>
          <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click products" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_23" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
            <ui:Click.CursorPosition>
              <ui:CursorPosition Position="Center">
                <ui:CursorPosition.OffsetX>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetX>
                <ui:CursorPosition.OffsetY>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetY>
              </ui:CursorPosition>
            </ui:Click.CursorPosition>
            <ui:Click.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="e249be4b-d23d-433f-a50d-0a505a6213fa" InformativeScreenshot="45c3ef4cd8abbe3eafc67a861d93612e" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='A' aaname='Products(*)' /&gt;">
                <ui:Target.TimeoutMS>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:Target.TimeoutMS>
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:Click.Target>
          </ui:Click>
          <ui:UiElementExists DisplayName="Element Exists -Add prodcut button" Exists="[addProductBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_17">
            <ui:UiElementExists.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="15be9d52-d505-4c56-8e28-75d3fb17180b" InformativeScreenshot="a673f991d68f0d01e186040443520c26" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Add Product' parentid='brandBand_*' tag='A' /&gt;" TimeoutMS="30000" WaitForReady="INTERACTIVE" />
            </ui:UiElementExists.Target>
          </ui:UiElementExists>
          <If Condition="[addProductBtnExists]" DisplayName="If add product button exists" sap:VirtualizedContainerService.HintSize="334,51" sap2010:WorkflowViewState.IdRef="If_22">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">False</x:Boolean>
                <x:Boolean x:Key="IsPinned">False</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <If.Then>
              <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 3 seconds" Duration="00:00:03" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_1">
                <TextExpression.Namespaces>
                  <sco:Collection x:TypeArguments="x:String">
                    <x:String>System.Activities</x:String>
                    <x:String>System.Activities.Statements</x:String>
                    <x:String>System.Activities.Expressions</x:String>
                    <x:String>System.Activities.Validation</x:String>
                    <x:String>System.Activities.XamlIntegration</x:String>
                    <x:String>Microsoft.VisualBasic.Activities</x:String>
                    <x:String>System</x:String>
                    <x:String>System.Collections.Generic</x:String>
                    <x:String>System.Data</x:String>
                    <x:String>System.Diagnostics</x:String>
                    <x:String>System.IO</x:String>
                    <x:String>System.Linq</x:String>
                    <x:String>System.Management.Automation</x:String>
                    <x:String>System.Net.Mail</x:String>
                    <x:String>System.Xml</x:String>
                    <x:String>System.Xml.Linq</x:String>
                    <x:String>UiPath.Library</x:String>
                    <x:String>System.Windows.Markup</x:String>
                  </sco:Collection>
                </TextExpression.Namespaces>
                <TextExpression.References>
                  <sco:Collection x:TypeArguments="AssemblyReference">
                    <AssemblyReference>System.Activities</AssemblyReference>
                    <AssemblyReference>mscorlib</AssemblyReference>
                    <AssemblyReference>System.Data</AssemblyReference>
                    <AssemblyReference>System</AssemblyReference>
                    <AssemblyReference>System.Core</AssemblyReference>
                    <AssemblyReference>System.Management.Automation</AssemblyReference>
                    <AssemblyReference>System.Xml</AssemblyReference>
                    <AssemblyReference>System.Xml.Linq</AssemblyReference>
                    <AssemblyReference>UiPath.Library</AssemblyReference>
                    <AssemblyReference>PresentationFramework</AssemblyReference>
                    <AssemblyReference>WindowsBase</AssemblyReference>
                    <AssemblyReference>PresentationCore</AssemblyReference>
                    <AssemblyReference>System.Xaml</AssemblyReference>
                  </sco:Collection>
                </TextExpression.References>
                <sap2010:WorkflowViewState.ViewStateManager>
                  <sap2010:ViewStateManager>
                    <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
                  </sap2010:ViewStateManager>
                </sap2010:WorkflowViewState.ViewStateManager>
              </Delay>
            </If.Then>
            <If.Else>
              <Sequence DisplayName="AE - add product btn does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_27">
                <sap:WorkflowViewStateService.ViewState>
                  <scg:Dictionary x:TypeArguments="x:String, x:Object">
                    <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  </scg:Dictionary>
                </sap:WorkflowViewStateService.ViewState>
                <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_20" Level="Error" Message="[componentName+&quot;: unable to load add product page&quot;]" />
                <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: unable to load add product page&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_18" />
              </Sequence>
            </If.Else>
          </If>
          <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click add products" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_24" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="True">
            <ui:Click.CursorPosition>
              <ui:CursorPosition Position="Center">
                <ui:CursorPosition.OffsetX>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetX>
                <ui:CursorPosition.OffsetY>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetY>
              </ui:CursorPosition>
            </ui:Click.CursorPosition>
            <ui:Click.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="9ad26020-b3ca-4f58-b4d2-e5c26f224e1f" InformativeScreenshot="43c8b9aa4fa5f6b2254962dcf342f52a" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Add Product' parentid='brandBand_*' tag='A' /&gt;">
                <ui:Target.TimeoutMS>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:Target.TimeoutMS>
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:Click.Target>
          </ui:Click>
        </Sequence>
      </If.Else>
    </If>
    <ui:UiElementExists DisplayName="Element Exists - select quote" Exists="[selectQuoteWindow]" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="UiElementExists_38">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="056b264d5a5e4cfc7c7c1ba7db9bc471" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Please select quote type: ' /&gt;" TimeoutMS="20000">
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[selectQuoteWindow]" DisplayName="If selectQuoteWindow" sap:VirtualizedContainerService.HintSize="797,260" sap2010:WorkflowViewState.IdRef="If_41">
      <If.Then>
        <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Invoke Salesforce_Opportunity_Select_Quote_Type workflow" sap:VirtualizedContainerService.HintSize="379,112" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_1" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_Opportunity_Select_Quote_Type.xaml">
          <ui:InvokeWorkflowFile.Arguments>
            <InArgument x:TypeArguments="x:String" x:Key="in_QuoteType">[in_QuoteType]</InArgument>
          </ui:InvokeWorkflowFile.Arguments>
        </ui:InvokeWorkflowFile>
      </If.Then>
    </If>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 3 seconds" Duration="00:00:03" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_1">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:SendHotkey ClickBeforeTyping="{x:Null}" DelayBefore="{x:Null}" DelayBetweenKeys="{x:Null}" DelayMS="{x:Null}" EmptyField="{x:Null}" SendWindowMessages="{x:Null}" Activate="True" DisplayName="Refresh page" sap:VirtualizedContainerService.HintSize="797,154" sap2010:WorkflowViewState.IdRef="SendHotkey_5" Key="f5" KeyModifiers="None" SpecialKey="True">
      <ui:SendHotkey.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="f138324a-424e-466b-98dc-6ebc3f9a0232" InformativeScreenshot="80ec8cf8aac5b34056e2d58f6ebba370" Selector="&lt;wnd app='chrome.exe' title='*Salesforce - Google Chrome' /&gt;">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:SendHotkey.Target>
    </ui:SendHotkey>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 3 seconds" Duration="00:00:03" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_1">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:UiElementExists DisplayName="Element Exists -search prodcuts button" Exists="[searchProductCodebtnExists]" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="UiElementExists_32">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="15be9d52-d505-4c56-8e28-75d3fb17180b" InformativeScreenshot="a673f991d68f0d01e186040443520c26" Selector="&lt;html app='chrome.exe' title='Lightning Experience | Salesforce' /&gt;&lt;webctrl id='advisory__item' tag='A' aaname='SEARCH PRODUCTS' /&gt;" TimeoutMS="30000" WaitForReady="INTERACTIVE" />
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[searchProductCodebtnExists]" DisplayName="If search product btn does not exist" sap:VirtualizedContainerService.HintSize="797,393" sap2010:WorkflowViewState.IdRef="If_37">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Then>
        <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 3 seconds" Duration="00:00:03" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_1">
          <TextExpression.Namespaces>
            <sco:Collection x:TypeArguments="x:String">
              <x:String>System.Activities</x:String>
              <x:String>System.Activities.Statements</x:String>
              <x:String>System.Activities.Expressions</x:String>
              <x:String>System.Activities.Validation</x:String>
              <x:String>System.Activities.XamlIntegration</x:String>
              <x:String>Microsoft.VisualBasic.Activities</x:String>
              <x:String>System</x:String>
              <x:String>System.Collections.Generic</x:String>
              <x:String>System.Data</x:String>
              <x:String>System.Diagnostics</x:String>
              <x:String>System.IO</x:String>
              <x:String>System.Linq</x:String>
              <x:String>System.Management.Automation</x:String>
              <x:String>System.Net.Mail</x:String>
              <x:String>System.Xml</x:String>
              <x:String>System.Xml.Linq</x:String>
              <x:String>UiPath.Library</x:String>
              <x:String>System.Windows.Markup</x:String>
            </sco:Collection>
          </TextExpression.Namespaces>
          <TextExpression.References>
            <sco:Collection x:TypeArguments="AssemblyReference">
              <AssemblyReference>System.Activities</AssemblyReference>
              <AssemblyReference>mscorlib</AssemblyReference>
              <AssemblyReference>System.Data</AssemblyReference>
              <AssemblyReference>System</AssemblyReference>
              <AssemblyReference>System.Core</AssemblyReference>
              <AssemblyReference>System.Management.Automation</AssemblyReference>
              <AssemblyReference>System.Xml</AssemblyReference>
              <AssemblyReference>System.Xml.Linq</AssemblyReference>
              <AssemblyReference>UiPath.Library</AssemblyReference>
              <AssemblyReference>PresentationFramework</AssemblyReference>
              <AssemblyReference>WindowsBase</AssemblyReference>
              <AssemblyReference>PresentationCore</AssemblyReference>
              <AssemblyReference>System.Xaml</AssemblyReference>
            </sco:Collection>
          </TextExpression.References>
          <sap2010:WorkflowViewState.ViewStateManager>
            <sap2010:ViewStateManager>
              <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
            </sap2010:ViewStateManager>
          </sap2010:WorkflowViewState.ViewStateManager>
        </Delay>
      </If.Then>
      <If.Else>
        <Sequence DisplayName="AE - search product code button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_49">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_33" Level="Error" Message="[componentName+&quot;: search product code button does not exist&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: search product code button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_30" />
        </Sequence>
      </If.Else>
    </If>
    <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click Search products" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="Click_38" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="018ee31c-1fd3-409b-864f-d53e60a972d3" InformativeScreenshot="52e493148f2ead79b92903695b9874a2" Selector="&lt;html app='chrome.exe' title='Lightning Experience | Salesforce' /&gt;&lt;webctrl id='advisory__item' tag='A' aaname='SEARCH PRODUCTS' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <ui:UiElementExists DisplayName="Element Exists product search bar" Exists="[productSearchBarExists]" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="UiElementExists_33">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="bbbd3ab5-949b-4bfc-89f8-20763fb274a0" InformativeScreenshot="8ff470f41606eb2e41d586dd0418324a" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='INPUT' type='search' class='slds-lookup__search-input slds-input search-input-box' /&gt;" TimeoutMS="30000" WaitForReady="COMPLETE" />
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[productSearchBarExists]" DisplayName="If product Search Bar Exists" sap:VirtualizedContainerService.HintSize="797,393" sap2010:WorkflowViewState.IdRef="If_38">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="AE - product search bar does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_50">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_34" Level="Error" Message="[componentName+&quot;: product search bar does not exist&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: product search bar does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_31" />
        </Sequence>
      </If.Else>
    </If>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_31">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:UiElementExists DisplayName="Element Exists - radio button- dynamic delay" Exists="[productSearchBarExists]" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="UiElementExists_36">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="bbbd3ab5-949b-4bfc-89f8-20763fb274a0" InformativeScreenshot="9bc4ec5e09d79cc5c98c8e6ae43edbbb" Selector="&lt;html app='chrome.exe' htmlwindowname='/0068E00000RxbClQAJ' title='Lightning Experience | Salesforce' /&gt;&lt;webctrl aaname='IFS' css-selector='body&amp;gt;div&amp;gt;div&amp;gt;section&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;div&amp;gt;lightning-checkbox-group&amp;gt;fieldset&amp;gt;div&amp;gt;span&amp;gt;label&amp;gt;span' parentid='advisory' tag='SPAN' /&gt;" TimeoutMS="10000">
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_1">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click Global" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="Click_39" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="7368b310-4733-40bf-9524-e0472a3a2387" InformativeScreenshot="4c42946c07c6effc9e5d1f636a423186" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='Global' tag='SPAN' idx='2' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 500 milliseconds" Duration="00:00:00.5000000" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_32">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click IFS" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="Click_40" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="8f5b060c-6f3d-4841-8195-405beb487401" InformativeScreenshot="249a45d9ebc5e08a5d18ce180a427253" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='IFS' parentid='advisory' tag='SPAN' idx='2' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 500 milliseconds" Duration="00:00:00.5000000" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_33">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:TypeInto DelayBefore="{x:Null}" DelayBetweenKeys="{x:Null}" DelayMS="{x:Null}" EmptyField="{x:Null}" SendWindowMessages="{x:Null}" Activate="True" AlterIfDisabled="False" ClickBeforeTyping="True" DisplayName="Type Intocode" sap:VirtualizedContainerService.HintSize="797,134" sap2010:WorkflowViewState.IdRef="TypeInto_12" SimulateType="False" Text="[ProductCode]">
      <ui:TypeInto.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="16149eef-6858-46f3-9a74-b1f92af209f3" InformativeScreenshot="34d0178c913e3db5f18b4cd4e078a085" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='INPUT' type='search' class='slds-lookup__search-input slds-input search-input-box' /&gt;">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:TypeInto.Target>
    </ui:TypeInto>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_34">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:SendHotkey ClickBeforeTyping="{x:Null}" DelayBefore="{x:Null}" DelayBetweenKeys="{x:Null}" DelayMS="{x:Null}" EmptyField="{x:Null}" SendWindowMessages="{x:Null}" Activate="True" DisplayName="Send Hotkey Enter" sap:VirtualizedContainerService.HintSize="797,154" sap2010:WorkflowViewState.IdRef="SendHotkey_4" Key="enter" KeyModifiers="None" SpecialKey="True">
      <ui:SendHotkey.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="80e5153d-1928-4daa-9adc-da633e3b11c3" InformativeScreenshot="32bf150171158f31bcdf72dade777394" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='INPUT' type='search' class='slds-lookup__search-input slds-input search-input-box' /&gt;">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:SendHotkey.Target>
    </ui:SendHotkey>
    <ui:CommentOut DisplayName="Comment Out" sap:VirtualizedContainerService.HintSize="797,276" sap2010:WorkflowViewState.IdRef="CommentOut_8">
      <ui:CommentOut.Body>
        <Sequence DisplayName="Ignored Activities" sap:VirtualizedContainerService.HintSize="376,198" sap2010:WorkflowViewState.IdRef="Sequence_52">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:UiElementExists DisplayName="Element Exists product code" Exists="[codeExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_34">
            <ui:UiElementExists.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="5ba98ea8-a836-4d40-8759-20cff9ac0133" InformativeScreenshot="a8500eb713362af71e6b46844d0ce430" Selector="[&quot;&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='&quot;+ProductCode+&quot;' parentid='*' colName='Product Code' /&gt;&quot;]" TimeoutMS="30000">
                <ui:Target.WaitForReady>
                  <InArgument x:TypeArguments="ui:WaitForReady" />
                </ui:Target.WaitForReady>
              </ui:Target>
            </ui:UiElementExists.Target>
          </ui:UiElementExists>
        </Sequence>
      </ui:CommentOut.Body>
    </ui:CommentOut>
    <ui:UiElementExists DisplayName="Element Exists product code" Exists="[codeExists]" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="UiElementExists_35">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="5ba98ea8-a836-4d40-8759-20cff9ac0133" InformativeScreenshot="e3f264158a96118a87532870f3064a2d" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='{{ProductCode}}' tag='DIV' colName='Product Code' innertext='{{ProductCode}}' /&gt;" TimeoutMS="30000">
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[codeExists]" DisplayName="If code found" sap:VirtualizedContainerService.HintSize="797,393" sap2010:WorkflowViewState.IdRef="If_39">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Then>
        <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_36" />
      </If.Then>
      <If.Else>
        <Sequence DisplayName="AE - unable to find product code" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_51">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_35" Level="Error" Message="[componentName+&quot;: unable to find product code &quot;+ProductCode]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: unable to find product code &quot;+ProductCode)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_32" />
        </Sequence>
      </If.Else>
    </If>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_1">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click radio btn" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="Click_43" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="d2e3cc5d-e2ea-47c2-af0b-48d6ef9d3222" InformativeScreenshot="c952a4a0bec7c1d67581cb55da16db98" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='SPAN' class='slds-radio_faux' tableCol='1' tableRow='2' idx='2' /&gt;">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="797,22" sap2010:WorkflowViewState.IdRef="Delay_1">
      <TextExpression.Namespaces>
        <sco:Collection x:TypeArguments="x:String">
          <x:String>System.Activities</x:String>
          <x:String>System.Activities.Statements</x:String>
          <x:String>System.Activities.Expressions</x:String>
          <x:String>System.Activities.Validation</x:String>
          <x:String>System.Activities.XamlIntegration</x:String>
          <x:String>Microsoft.VisualBasic.Activities</x:String>
          <x:String>System</x:String>
          <x:String>System.Collections.Generic</x:String>
          <x:String>System.Data</x:String>
          <x:String>System.Diagnostics</x:String>
          <x:String>System.IO</x:String>
          <x:String>System.Linq</x:String>
          <x:String>System.Management.Automation</x:String>
          <x:String>System.Net.Mail</x:String>
          <x:String>System.Xml</x:String>
          <x:String>System.Xml.Linq</x:String>
          <x:String>UiPath.Library</x:String>
          <x:String>System.Windows.Markup</x:String>
        </sco:Collection>
      </TextExpression.Namespaces>
      <TextExpression.References>
        <sco:Collection x:TypeArguments="AssemblyReference">
          <AssemblyReference>System.Activities</AssemblyReference>
          <AssemblyReference>mscorlib</AssemblyReference>
          <AssemblyReference>System.Data</AssemblyReference>
          <AssemblyReference>System</AssemblyReference>
          <AssemblyReference>System.Core</AssemblyReference>
          <AssemblyReference>System.Management.Automation</AssemblyReference>
          <AssemblyReference>System.Xml</AssemblyReference>
          <AssemblyReference>System.Xml.Linq</AssemblyReference>
          <AssemblyReference>UiPath.Library</AssemblyReference>
          <AssemblyReference>PresentationFramework</AssemblyReference>
          <AssemblyReference>WindowsBase</AssemblyReference>
          <AssemblyReference>PresentationCore</AssemblyReference>
          <AssemblyReference>System.Xaml</AssemblyReference>
        </sco:Collection>
      </TextExpression.References>
      <sap2010:WorkflowViewState.ViewStateManager>
        <sap2010:ViewStateManager>
          <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
        </sap2010:ViewStateManager>
      </sap2010:WorkflowViewState.ViewStateManager>
    </Delay>
    <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click add btn" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="Click_42" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="eeb76aa9-059d-4a5d-9d45-2547c3c9acdf" InformativeScreenshot="b2e378a2211efcd52d8431ad8ab2273d" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='* Salesforce' /&gt;&lt;webctrl aaname='Add' tag='BUTTON' type='button' idx='2' /&gt;">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <ui:UiElementExists DisplayName="Element Exists - New service code" Exists="[newServiceCodeWindowExists]" sap:VirtualizedContainerService.HintSize="797,106" sap2010:WorkflowViewState.IdRef="UiElementExists_37">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="bce018e4-7bd5-436b-abb3-faffb5d6a8f4" InformativeScreenshot="8bd451f8d329b042200bfda17114170d" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='*' aaname='New Service Code Product' /&gt;" TimeoutMS="30000" WaitForReady="INTERACTIVE" />
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[newServiceCodeWindowExists]" DisplayName="If newServiceCodeWindowExists" sap:VirtualizedContainerService.HintSize="797,393" sap2010:WorkflowViewState.IdRef="If_40">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="Unable to add product code - new service code window did not load" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_53">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_36" Level="Error" Message="[componentName+&quot;: Unable to add product code - new service code window did not load&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to add product code - new service code window did not load&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_33" />
        </Sequence>
      </If.Else>
    </If>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="797,91" sap2010:WorkflowViewState.IdRef="LogMessage_13" Level="Info" Message="[&quot;End: &quot;+componentName]" />
  </Sequence>
</Activity>